1.2
1.2
get /v1/organization-invitations
Description
get organization invitation list
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | organization_id optional | Organization ID Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5 | any of [string, null] | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | account_id optional | Master Account Name Example : 9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r | any of [string, null] | None |
| query | account_name optional | Master Account Name Example : CoreKim | any of [string, null] | None |
| query | account_email optional | Master Account Email Example : admin@example.com | any of [string, null] | None |
| query | state optional | Invitation State Example : INVITING | any of [enum (INVITING, REFUSED, INVITED, CANCELED, EXPIRED), null] | None |
| query | login_id optional | Login ID Example : log-archive@samsung.com | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | OrganizationInvitationPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/organization-invitations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"
Example HTTP response
Response 200
{
"count": 20,
"organization_invitations": [
{
"account_email": "admin@example.com",
"account_name": "CoreKim",
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"id": "0a36e0746dbf4908acf0357829701381",
"login_id": "log-archive@samsung.com",
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
"state": "INVITING",
"target_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}